uritemplate

# CanBeVar

###
Related Docs: trait CanBeVar | package uritemplate

#### object CanBeVar extends CanBeVars

Linear Supertypes
CanBeVars, LowerPriorityCanBeVars, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CanBeVar
2. CanBeVars
3. LowerPriorityCanBeVars
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[V](implicit canBe: CanBeVar[V]): CanBeVar[V]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### implicit def optionCanBe[C](implicit arg0: CanBeVar[C]): CanBeVar[Option[C]]

    Definition Classes
      CanBeVars

17. #### implicit val optionNothingCanBe: CanBeVar[Option[Nothing]] { def canBe(v: Option[Nothing]): Option[Nothing] }

    Definition Classes
      CanBeVars

18. #### implicit val seqStringCanBe: CanBeVar[Seq[String]] { def canBe(v: Seq[String]): Option[uritemplate.SequentialVar] }

    Definition Classes
      CanBeVars

19. #### implicit val seqTupleCanBe: CanBeVar[Seq[(String, String)]] { def canBe(v: Seq[(String, String)]): Option[uritemplate.AssociativeVar] }

    Definition Classes
      LowerPriorityCanBeVars

20. #### implicit val stringCanBe: CanBeVar[String] { def canBe(v: String): Option[uritemplate.SequentialVar] }

    Definition Classes
      CanBeVars

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### implicit val tuple2CanBe: CanBeVar[(String, String)] { def canBe(v: (String, String)): Option[uritemplate.AssociativeVar] }

    Definition Classes
      CanBeVars

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CanBeVars

### Inherited from LowerPriorityCanBeVars

### Inherited from AnyRef

### Inherited from Any

### Ungrouped